Skip to content
Start here

Get ASPA objects snapshot

GET/radar/bgp/rpki/aspa/snapshot

Retrieves current or historical ASPA (Autonomous System Provider Authorization) objects. ASPA objects define which ASNs are authorized upstream providers for a customer ASN.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
customerAsn: optional number

Filter by customer ASN (the ASN publishing the ASPA object).

date: optional string

Filters results by the specified datetime (ISO 8601).

formatdate-time
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
includeAsnInfo: optional boolean

Include ASN metadata (name, country) in response.

providerAsn: optional number

Filter by provider ASN (an authorized upstream provider in ASPA objects).

ReturnsExpand Collapse
result: { asnInfo, aspaObjects, meta }
asnInfo: { "13335" }
"13335": { asn, country, name }
asn: number

ASN number.

country: string

Alpha-2 country code.

name: string

AS name.

aspaObjects: array of { customerAsn, providers }
customerAsn: number

The customer ASN publishing the ASPA object.

providers: array of number
meta: { dataTime, queryTime, totalCount }
dataTime: string

Timestamp of the underlying data.

formatdate-time
queryTime: string

Timestamp when the query was executed.

formatdate-time
totalCount: number

Total number of ASPA objects.

success: boolean

Get ASPA objects snapshot

curl https://api.cloudflare.com/client/v4/radar/bgp/rpki/aspa/snapshot \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "asnInfo": {
      "13335": {
        "asn": 0,
        "country": "country",
        "name": "name"
      }
    },
    "aspaObjects": [
      {
        "customerAsn": 0,
        "providers": [
          0
        ]
      }
    ],
    "meta": {
      "dataTime": "2019-12-27T18:11:19.117Z",
      "queryTime": "2019-12-27T18:11:19.117Z",
      "totalCount": 0
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "asnInfo": {
      "13335": {
        "asn": 0,
        "country": "country",
        "name": "name"
      }
    },
    "aspaObjects": [
      {
        "customerAsn": 0,
        "providers": [
          0
        ]
      }
    ],
    "meta": {
      "dataTime": "2019-12-27T18:11:19.117Z",
      "queryTime": "2019-12-27T18:11:19.117Z",
      "totalCount": 0
    }
  },
  "success": true
}